Subject: Re: bug#53755: 27.2; C-u M-x gnus-summary-sort-by-most-recent-number / -date not ordering threads as expected

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 04 Feb 2022 00:30:09 +0100

Michael Welsh Duggan <[email-masked]> writes:

> This may be related to Bug #18156.
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18156
>
> I have patched my local gnus to allow sorting threads by newest message.

Quoting your use-case:

>                                                                     Here
> is my use case:  I want to sort the threads in my summary buffer,
> post-gathering, by the date of the most recent article in the thread.
> If threads (not the articles in threads) are sorted before they are
> gathered, this seems less than possible.

I think I filed more or less the same bug (bug#42334), with more or less
the same conclusion?

Lars suggested a solution before wontfixing it, but I never got around
to implementing it.  How does your local patch work?